> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.nibtravelinsurance.com/reference/products-api/quote/quote-countries/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server. # Quote countries GET https://api-staging.nibtravelinsurance.com/products/v1/{brandCode}/quoteCountriesConfig Retrieves detailed country information for the quote process Reference: https://developer.nibtravelinsurance.com/reference/products-api/quote/quote-countries ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `brandCode` (enum, required) — Brand code - Allowed values: `nibau`, `nibnz`, `tidau`, `wn` ### Query parameters - `lang` (string, optional) — A language code - `quoteType` (enum, optional, default: SINGLETRIP) — The type of travel to quote for (see /quotePanelTypes) - Allowed values: `SINGLETRIP`, `MULTITRIP`, `PRETRIP`, `INBOUND` ## Response ### 200 Success - `expirySeconds` (integer, optional) - `homeCountries` (list of HomeCountrySummary, optional) — List of home countries you can purchase a policy from. - `destinationCountries` (list of DestinationCountrySummary, optional) — Available list of destination countries and regions to travel to. ## Types ### HomeCountrySummary - `code` (string, optional) — ISO-3166-1 Alpha 3 country code. - `countryId` (long, optional, default: 0) - `name` (string, optional) — Country name - `timeZone` (string, optional) — Local timezone for this country. - `cultureCodes` (list of string, optional) — Local culture codes for this country. - `provinces` (list of HomeProvinceSummary, optional) — List of support provinces/states available for this country. - `addressConfig` (AddressConfig, optional) - `residentIdentifierConfig` (ResidentIdentifierConfig, optional) ### DestinationCountrySummary - `code` (string, optional) - `name` (string, optional) - `sentenceName` (string, optional) - `isTravelActivity` (boolean, optional, default: false) - `effectiveToDate` (string, optional) - `effectiveFromDate` (string, optional) - `aliases` (list of string, optional) ### HomeProvinceSummary - `code` (string, optional) - `provinceId` (long, optional, default: 0) - `name` (string, optional) - `countryCode` (string, optional) ### AddressConfig - `countryCode` (string, optional) - `isAddressLine2Optional` (boolean, optional, default: false) - `isAddressLine3Optional` (boolean, optional, default: false) - `isAddressLine4Used` (boolean, optional, default: false) - `isAddressLine4Optional` (boolean, optional, default: false) - `isProvinceUsed` (boolean, optional, default: false) - `isProvinceOptional` (boolean, optional, default: false) - `isPostalCodeOptional` (boolean, optional, default: false) - `postalCodeRegex` (string, optional) ### ResidentIdentifierConfig - `countryCode` (string, optional) - `name` (string, optional) - `regularExpression` (string, optional) ## Examples **Response** ```json { "expirySeconds": 86400, "homeCountries": [ { "code": "AUS", "countryId": 16, "name": "Australia", "timeZone": "Australia/Sydney", "cultureCodes": [ "en-AU" ], "provinces": [ { "code": "ACT", "provinceId": 1, "name": "Australian Capital Territory", "countryCode": "AUS" }, { "code": "NSW", "provinceId": 2, "name": "New South Wales", "countryCode": "AUS" }, { "code": "NT", "provinceId": 8, "name": "Northern Territory", "countryCode": "AUS" }, { "code": "QLD", "provinceId": 4, "name": "Queensland", "countryCode": "AUS" }, { "code": "SA", "provinceId": 5, "name": "South Australia", "countryCode": "AUS" }, { "code": "TAS", "provinceId": 7, "name": "Tasmania", "countryCode": "AUS" }, { "code": "VIC", "provinceId": 3, "name": "Victoria", "countryCode": "AUS" }, { "code": "WA", "provinceId": 6, "name": "Western Australia", "countryCode": "AUS" } ], "addressConfig": { "countryCode": "AUS", "isAddressLine2Optional": true, "isAddressLine3Optional": false, "isAddressLine4Used": false, "isAddressLine4Optional": false, "isProvinceUsed": true, "isProvinceOptional": false, "isPostalCodeOptional": false, "postalCodeRegex": "^\\d{4,4}$" } } ], "destinationCountries": [ { "code": "FRA", "name": "France", "sentenceName": "France", "isTravelActivity": false, "effectiveToDate": "1970-01-01T00:00:00Z", "effectiveFromDate": "1970-01-01T00:00:00Z", "aliases": [ "France", "Bordeaux", "Isle of Pines", "Lifou", "Loyalty Islands", "Lyon", "Marseille", "Nice", "Paris", "Strasbourg" ] } ] } ``` **SDK Code** ```python World Nomads (abbreviated) import requests url = "https://api-staging.nibtravelinsurance.com/products/v1/nibau/quoteCountriesConfig" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript World Nomads (abbreviated) const url = 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/quoteCountriesConfig'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go World Nomads (abbreviated) package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-staging.nibtravelinsurance.com/products/v1/nibau/quoteCountriesConfig" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby World Nomads (abbreviated) require 'uri' require 'net/http' url = URI("https://api-staging.nibtravelinsurance.com/products/v1/nibau/quoteCountriesConfig") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java World Nomads (abbreviated) import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-staging.nibtravelinsurance.com/products/v1/nibau/quoteCountriesConfig") .header("Authorization", "Bearer ") .asString(); ``` ```php World Nomads (abbreviated) request('GET', 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/quoteCountriesConfig', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp World Nomads (abbreviated) using RestSharp; var client = new RestClient("https://api-staging.nibtravelinsurance.com/products/v1/nibau/quoteCountriesConfig"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift World Nomads (abbreviated) import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/products/v1/nibau/quoteCountriesConfig")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```